#!/bin/bash

# farbe: #ddddddff

# replace #dddddd with color

rm export/*.svg

while read p; do
	colorname=$(echo $p | cut -f 1 -d ' ')
	color=$(echo $p | cut -f 2 -d ' ')
	while read p; do
		if [[ "$p" =~ \#.* ]];
		then
			echo $p
		else
			name=$(echo $p | cut -f 1 -d ' ')
			value=$(echo $p | cut -f 2 -d ' ')
			opt=$(echo $p | cut -f 3 -d ' ')
			if [ ! -z "$name" ];
			then
				file=export/$name-$colorname.svg
				cp Karte.svg $file
				sed -i 's/#dddddd/'$color'/' $file
				sed -i 's/>13</>'$value'</' $file
				sed -i 's/>XL</>'$opt'</' $file
        			echo "processing " $p " with value= " $value " and opt= " $opt
			fi
		fi
	done < values.txt
done < colors.txt

